宝塔面板安装WordPress使用的PHP版本

关于宝塔面板和 wordpress 使用哪个 php 版本更好的问题。这个问题对于刚接触宝塔面板和 wordpress 的人来说,因为不懂,所以纠结。

宝塔面板

点我直达宝塔官方页面

宝塔官方赠送3188元优惠券礼包。
新用户可享受0.99元体验1个月专业版。


一、宝塔面板中支持的 php版本

宝塔面板在发布文章时支持 php5.2~7.4 版本。

php7.0以下的版本主要是提供给那些老程序,比如作者不再更新的,但是还有人使用的程序使用。毕竟市场上还是有这部分需求的。

从 php7.0 开始,性能比以前版本提高了大约 3倍左右,而 php7.4 的性能又比 php7.0 有一定提升,所以说在程序支持的前提下,建议使用 php7.4版本。如果有更新版本,也可以使用最新版本。或者比最新版低一个版本。


二、Wordpress 支持的 php版本

目前 WordPress 最新版本 5.4,使用PHP7.3或PHP7.3以上即可。

下图是官方对PHP版本要求的简介。

WordPress系统要求
WordPress系统要求

三、主题、插件支持的 php版本

除了上面提到的宝塔面板和 wordpress,还有主题模板、插件支持的 php版本。因为每个新版本 php都会发布一些新的功能,很多主题、插件作者也会及时跟进更新。所以你在选择主题、插件的时候,也要去它们的官网看看是否支持相应的 php版本。如果实在查不到,就安装了试试功能是否正常,因为很多主题、插件都是免费发布使用的,作者不提供像付费版本那样及时更新。

可以在WordPress官网插件找到相应的主题或插件可以看到支持的PHP版本。


四、服务器、虚拟主机是否支持

目前像大家常用的阿里云腾讯云都可以很好的支持 php 新版本。这两个国内的云计算商家在技术方面无需担心,有任何更新他们会第一时间跟进的。另外国外常用的 siteground 目前也支持到 php7.3 稳定版,且官方也会第一时间跟进 php版本更新,保障网站快速、稳定的持续运行。

一般使用大型的服务商的服务器、虚拟主机在PHP版本上都会做到第一时间更新。

文章标题:宝塔面板安装WordPress使用的PHP版本,本文链接:https://www.siwihs.com/3167.html。未经允许,禁止转载。

发表评论

登录后才能评论
分享本页
返回顶部